def get_mmap(logfile,data):
    counter = 0
    sum = 0
    keyword = " len"
    for line in logfile:
        for word in line.split(","):
            if word.startswith(keyword):
                tmp = word.split("=")[1]
                hex = tmp.rstrip(".\n")
                # convert and print to kB
                data[counter] = int(hex, 0)/1024.0
                counter+=1

import numpy as np

malloc_file = "malloc.txt"
free_file = "free.txt"
malloc_log = open(malloc_file,"r").readlines()
free_log = open(free_file,"r").readlines()
length_malloc = len(malloc_log)
length_free = len(free_log)
data1 = np.zeros(length_malloc)
data2 = np.zeros(length_free)

# Analyze 
# print "Malloc"
get_mmap(malloc_log,data1)
# print "Free"
get_mmap(free_log,data2)

sum1 = data1.sum()
sum2 = data2.sum()
print "leak (MB)",(sum1-sum2)/1024.0




      
